/* Import fonts from fonts.css */
@import url('/css/fonts.css');

/* css variables */
@import url('/css/partials/_variables.css');

/* globals styling variable */
@import url('/css/partials/_globals.css');

/* globals menu generic styling */
@import url('/css/can/can-menu_generic.css');

html,body{
    margin: 0%;
    box-sizing: border-box;
    overflow-x: hidden;

}

/*========================== Global Classes ========================== */
a{
    text-decoration: none;
    color: var(--text-color);
}
h2{
    font-family: var(--lexend_deca);
    font-size: 2.2rem;
}
h3{
    font-family: var(--lexend_deca);
    font-size: 1.8rem;
}
h4{
    font-size: 1rem;
    font-family: var(--josefin_sans);
}
.footer_text::after {
    color: var(--text-gray);
    content: var(--footer_content);
    font-family: var(--josefin_sans);;
}
p{
    font-family: var(--lexend_deca);
    color: #000000;
    font-size: 1.1em;
    font-weight: 300;
    line-height: 1.7em;
}
/*========================== Global Classes Ends ==========================*/

/*========================== Navbar Styling ==========================*/
/* Style defined in the __globals stylesheet */
/*========================== End Navbar Styling ==========================*/


/*========================== Page Content Styling ==========================*/

body {
    /* background-image: url('/assets/can/can_bckgnd.png'); */
    background-image: linear-gradient(to top, #c1dfc4 0%, #deecdd 100%);
    background-size: cover;
    background-repeat: no-repeat;
    justify-content: center;
}

/*=================================== SideNav New Code 1 ===================================*/ 
/* Style defined in the android-menu_generic stylesheet */
.slide{
    height: 75%;
} 
/*=================================== SideNav New Code 1 End ===================================*/


a,
a:hover,
a:focus{
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}
#content{
    width: 100%;
    padding: 20px;
    min-height: 100vh;
    transition: all 0.3s;
}
.topicLabel{
    color: #1b1b1b;
    text-decoration-style: none;
}
.lisst-unstyled{
    background: #1b1b1b;
}
#content .btn{
    height: 40px;
    width: 55px;
    margin-left: -45px;
    border: none;
    border-radius: 2rem;
    font-size: 2rem;
    line-height: 25px;
    cursor: pointer;
}
.introImg{
    /* width: 1200px;
    height: 200px; */
    width: 1200px;
    height: 500px;
    border-radius: 2%;
}
.page-navigator .nav-prev,
.page-navigator .nav-next{
    color: var(--text-gray);
    background: transparent;
    font-size: 2rem;
    font-family: var(--lexend_deca);
}
.page-navigator .nav-prev a,
.page-navigator .nav-next a{
    text-decoration: none;
}
.list-style{
    list-style-type: square;
    font-weight: 500;
}
.list-style1{
    list-style-type: circle;
    font-weight: 500;
}
.list-style2{
    list-style-type: disc;
    font-weight: 500;
}
.list-style3{
    list-style-type: decimal;
    font-weight: 500;
}
.list-style4{
    list-style-image: url(/assets/svg/cross.svg);
    font-weight: 500;
}
.list-style5{
    list-style-image: url(/assets/svg/spades.svg);
    font-weight: 500;
}
.list-style6{
    list-style-image: url(/assets/svg/rounded_star1.svg);
    font-weight: 500;
}
.list-style7{
    list-style-image: url(/assets/svg/star1.svg);
    font-weight: 500;
}

table, th, td {
    border: 0px solid rgb(129, 126, 126);
    border-collapse: collapse;
}
th,td{
    font-family: var(--livvic);
    padding: 10px;
}
table tr:nth-child(even) {
    background-color: #eee;
}
table tr:nth-child(odd) {
    background-color: #fff;
}
table th {
    color: white;
    background-color: black;
}
#txt-ara{
    height: 68px;       
    width: 450px;
    border: solid 2px blanchedalmond;
    border-radius: 15px;
    background-color: azure;
}
.code-area{
    background-color: beige;
    border-radius: 10px;
    width: 700px;
}
.test-code{
    font-weight: 300;
    font-family: var(--livvic);
    font-size: 20px;
}
.topic-name{
    font-size: 35px;
}
.img1{
    width: 65%;
    transition: all 1s ease;
    border: 2px solid black;
    border-radius: 1.5rem;
}
.img1:hover{
    transform: scale(1.3);
}



/*========================== End Page Content Styling ==========================*/


/*========================== Footer Styling ==========================*/
/* Footer styling is shifted to menu_generic.css file*/
/*========================== End Footer Styling ==========================*/


/*========================== viewport less than or equals to 1130px =====================*/

@media only screen and (max-width:1130px){

    #content .btn{
        margin-left: -45px;
        line-height: 25px;
    }
    .introImg{
        width: 950px;
        height: 250px;
        border-radius: 2%;
    }
    table, th, td {
        padding: 20px;
        width: 120%;
    }
    #t02{
        width: 50%;
    }
    .img-logo{
        width: 70px;
        height: 70px;
    }
    .img1{
        width: 65%;
        border-radius: 1rem;
    }
    .img1:hover{
        transform: scale(1.1);
    }
    .slide{
        height: 39%;
    }  
}

/*========================== End of viewport less than or equals to 1130px =====================*/


/*========================== viewport less than or equals to 770px =====================*/

@media only screen and (max-width:770px){

    #content .btn{
        height: 34px;
        width: 45px;
        margin-left: -30px;
        font-size: 1.5rem;
        line-height: 15px;
    }
    .introImg{
        width: 720px;
        height: 210px;
        border-radius: 2%;
    }

    .img1{
        width: 75%;
        border-radius: 1rem;
    }
    .img1:hover{
        transform: scale(1.1);
    }
    table, th, td {
        padding: 10px;
        width: 60%;
    }
    #t02{
        width: 40%;
    }
    .slide{
        height: 40%;
    }  
}

/*=================== viewport less than or equals to 750px close =====================*/


/*=================== viewport less than or equals to 520px =========================*/

@media only screen and (max-width:520px){
    #content .btn{
        height: 33px;
        width: 45px;
        margin-left: -35px;
        font-size: 1.5rem;
        line-height: 18px;
    }
    .introImg{
        width: 390px;
        height: 140px;
        border-radius: 2%;
    }
    .topic-name{
        font-size: 35px;
        font-weight: bold;
    }
    .img1{
        width: 90%;
        border-radius: 1rem;
    }
    .slide{
        height: 30%;
    }    
}

/*=================== viewport less than or equals to 520px close =========================*/

/*=================== viewport less than or equals to 380px =========================*/
@media only screen and (max-width:375px){
    .introImg{
        width: 350px;
        height: 130px;
        border-radius: 2%;
    }
    .slide{
        height: 35%;
    }
    p{
        font-size: 0.9em;
    }
    ul, li{
        font-size: 0.9em;
    }
}
/*=================== viewport less than or equals to 380px close =========================*/

/*=================== viewport less than or equals to 330px =========================*/
@media only screen and (max-width:330px){
    .introImg{
        width: 300px;
        height: 100px;
        border-radius: 2%;
    }
    .slide{
        height: 32%;
    }
    p{
        font-size: 0.8em;
    }
    ul, li{
        font-size: 0.85em;
    }
}
/*=================== viewport less than or equals to 320px close =========================*/


